<!--
 * @start_restricted_prolog@
 * Licensed Materials - Property of IBM
 * 5724-I82, 5724-L01, 5655-R15, 5655-N53
 * Copyright IBM Corporation 2006 All Rights Reserved.
 * US Government Users Restricted Rights- Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * @end_restricted_prolog@
-->
<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.List"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="com.ibm.ws.sibx.management.commands.sca.appext.SCAModulePropertyWrapper"%>
<%@ page isThreadSafe="false"%>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute name="propertyList" classname="java.util.List" />
<tiles:useAttribute name="groupName" classname="java.lang.String" />


	<%-- Panel content --%>
	<%	
	String tableName = groupName + "Table";
	%>

    <table id="<%=tableName%>  CLASS="framing-table" border="0" cellpadding="3" cellspacing="1" width="100%" summary="List table">
        <tr>
            <th class="column-head-name" scope="col">
                <bean:message key="Property.name.displayName"/>
            </th>
            <th class="column-head-name" scope="col">
                <bean:message key="TypedProperty.type.displayName"/>
            </th>
            <th class="column-head-name" scope="col">
                <bean:message key="Property.value.displayName"/>
            </th>
        </tr>

			<%-- Loop through the list of properties --%>
			<% 
			Iterator iterator = propertyList.iterator();
			while(iterator.hasNext()){
				SCAModulePropertyWrapper currentProperty = (SCAModulePropertyWrapper)iterator.next();					
			%>
                <tr CLASS="table-row">
					
                    <td class="collection-table-text" >
						<%= currentProperty.getIdentifier() %>
					</TD>

                    <td class="collection-table-text" >
						<%= currentProperty.getType() %>
					</TD>

                    <td class="collection-table-text" >
						<input TYPE="text" name="<%=groupName%>_<%=currentProperty.getIdentifier()%>" class="noIndentTextEntry" id="property_value_<%=currentProperty.getIdentifier()%>" value="<%=currentProperty.getValue()%>" size="90"/> 
					</TD>
					
				</tr>			
			<% } %>									
	</table>	



