<!-- 
* @start_prolog@
*
* 5724-I82, 5724-L01, 5655-R15, 5655-N53
* 
* (c) Copyright IBM Corp. 2005, 2006
* 
* The source code for this program is not published or other-
* wise divested of its trade secrets, irrespective of what has
* been deposited with the U.S. Copyright Office.
* @end_prolog@
-->

<!--
This JSP replicates the 'text' field type on the 'item value' string of the putlist name=attributelist.
The difference here is that the field is editable for 'new' registry, but non-editable for existing ones.
-->


<%@ page import="java.util.*"%>
<%@ page import="com.ibm.ws.console.sibx.sibxwsrrresources.*"%>
<%@ page import="com.ibm.ws.console.core.*"%>
<%@ page import="com.ibm.ws.console.core.form.AbstractDetailForm"%>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<!-- these parms are as passed by configGenPropLayout.jsp to a strType of "jsp". -->
   <tiles:useAttribute id="label" name="label" classname="java.lang.String"/>
   <tiles:useAttribute id="desc" name="desc" classname="java.lang.String"/>
   <tiles:useAttribute id="bean" name="bean" classname="java.lang.String"/>
   <tiles:useAttribute id="readOnly" name="readOnly" classname="java.lang.String"/>
   <tiles:useAttribute id="jspPage" name="jspPage" classname="java.lang.String"/>
   <tiles:useAttribute id="size" name="size" classname="java.lang.String"/>
   <tiles:useAttribute id="units" name="units" classname="java.lang.String"/>
   <tiles:useAttribute id="property" name="property" classname="java.lang.String"/>
   <tiles:useAttribute id="isRequired" name="isRequired" classname="java.lang.String"/>   


<% if (desc.equals("")) { desc = label; } %> 

<!-- fields are inserted here as done by configGenPropLayout.jsp to a strType of "Text". -->
     <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
     <tiles:put name="property" value="<%=property%>" />
<% 
   
   AbstractDetailForm form = (AbstractDetailForm) session.getAttribute(bean);
   
   if (form.getAction().equals("New")) { 

%> 
     <tiles:put name="isReadOnly" value="no" />
     <tiles:put name="isRequired" value="yes" />

   <% } else {

   %>              
     <tiles:put name="isReadOnly" value="<%=readOnly%>" />
     <tiles:put name="isRequired" value="<%=isRequired%>" />

<% } %> 
     <tiles:put name="label" value="<%=label%>" />
     <tiles:put name="size" value="30" />
     <tiles:put name="units" value="<%=units%>"/>
     <tiles:put name="desc" value="<%=desc%>"/>
     <tiles:put name="bean" value="<%=bean%>" />
    </tiles:insert>
    